GET
List the messages in a campaign

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

managementId
string
required

Query Parameters

page
integer<int32>
default:1
size
integer<int32>
default:20
sortBy
string
default:createdAt
sortDirection
string
default:DESC
recipient
string
searchType
string
default:exact
status
enum<string>
Available options:
SCHEDULED,
QUEUED,
SENDING,
SENT,
DELIVERED,
FAILED,
EXPIRED,
PENDING,
CANCELLED,
PROCESSING,
SCHEDULE_FAILED,
ERROR,
REJECTED,
COMPLETED
startDate
string<date-time>
endDate
string<date-time>

Response

200 - */*

OK

data
object[]
etag
string
message
string
metadata
object
status
integer<int32>
success
boolean
timestamp
string<date-time>